#2004 obsolete external sidetag plugin
Merged 2 years ago by tkopecek. Opened 2 years ago by tkopecek.
tkopecek/koji issue2003  into  master

file modified
+8
@@ -163,6 +163,8 @@ 

  Group: Applications/Internet

  License: LGPLv2

  Requires: python2-%{name} = %{version}-%{release}

+ Obsoletes: python2-%{name}-sidetag-plugin-cli < %{version}-%{release}

+ Provides: python2-%{name}-sidetag-plugin-cli = %{version}-%{release}

  

  %description -n python2-%{name}-cli-plugins

  Plugins to the koji command-line interface
@@ -174,6 +176,8 @@ 

  Group: Applications/Internet

  License: LGPLv2

  Requires: python%{python3_pkgversion}-%{name} = %{version}-%{release}

+ Obsoletes: python%{python3_pkgversion}-%{name}-sidetag-plugin-cli < %{version}-%{release}

+ Provides: python%{python3_pkgversion}-%{name}-sidetag-plugin-cli = %{version}-%{release}

  

  %description -n python%{python3_pkgversion}-%{name}-cli-plugins

  Plugins to the koji command-line interface
@@ -258,6 +262,8 @@ 

  %endif

  Requires: cpio

  Provides: %{name}-hub-plugins-code = %{version}-%{release}

+ Obsoletes: python2-%{name}-sidetag-plugin-hub < %{version}-%{release}

+ Provides: python2-%{name}-sidetag-plugin-hub = %{version}-%{release}

  

  %description -n python2-%{name}-hub-plugins

  Plugins to the koji XMLRPC interface
@@ -272,6 +278,8 @@ 

  Requires: python%{python3_pkgversion}-qpid-proton

  Requires: cpio

  Provides: %{name}-hub-plugins-code = %{version}-%{release}

+ Obsoletes: python%{python3_pkgversion}-%{name}-sidetag-plugin-hub < %{version}-%{release}

+ Provides: python%{python3_pkgversion}-%{name}-sidetag-plugin-hub = %{version}-%{release}

  

  %description -n python%{python3_pkgversion}-%{name}-hub-plugins

  Plugins to the koji XMLRPC interface

Metadata Update from @tkopecek:
- Pull-request tagged with: testing-ready

2 years ago

don't use = in Obsoletes. Use < instead.

rebased onto 8efab4a

2 years ago

pretty please pagure-ci rebuild

2 years ago

Metadata Update from @jcupova:
- Pull-request tagged with: testing-done

2 years ago

Commit 41d9a61 fixes this pull-request

Pull-Request has been merged by tkopecek

2 years ago